#include <bits/stdc++.h>
using namespace std;
int N, K, H;
int main()
{
  ios_base::sync_with_stdio(false);
  cin.tie(NULL);
  cout.tie(NULL);
  cin >> N >> K;
  for(int i = 1; i <= N; i++)
  {
    cin >> H;
    if(H <= K) {cout << i << '\n'; return 0;}
  }
  cout << "-1\n";

  return 0;
}